package itz;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDesktopPane;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JToolBar;
import javax.swing.border.EmptyBorder;

public class Principal extends JFrame {
    //Interfaz de Multiples Documentos (MDI)
	private JDesktopPane contentPane;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Principal frame = new Principal();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Principal() {
		super("Ventana Principal");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 800, 600);
		contentPane = new JDesktopPane();
		contentPane.setLayout(null);
		contentPane.setBackground(Color.gray);
		setContentPane(contentPane);
				
		JToolBar toolBar = new JToolBar();
		toolBar.setBackground(Color.PINK);
		toolBar.setFloatable(false);
		toolBar.setBounds(0, 0, 784, 54);
		contentPane.add(toolBar);
		
		JButton btnAbrir = new JButton("");
		btnAbrir.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				OtraVentana x=new OtraVentana();
				contentPane.add(x);
			}
		});
		ImageIcon imagen1=new ImageIcon("imagenes/pantalla.png");
		int ancho = 50; // ancho en pixeles que tendra el icono escalado
		int alto = -1; // alto (para que conserve la proporcion pasamos -1)

		// Obtiene un icono en escala con las dimensiones especificadas
		ImageIcon iconoEscala = new ImageIcon(imagen1.getImage().getScaledInstance(ancho, alto, java.awt.Image.SCALE_DEFAULT));
		btnAbrir.setIcon(iconoEscala);
		btnAbrir.setSize(50,50);
		btnAbrir.setToolTipText("Abrir Otra Ventana");
		toolBar.add(btnAbrir);
	}
}
